"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _assert = _interopRequireDefault(require("assert"));

var _alias = require("../actions/alias");

var _alias2 = _interopRequireDefault(require("../registry/alias"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

var triggerAlias = function triggerAlias(store) {
  return function (next) {
    return function (action) {
      // TODO: store.dispatch() instead to not skip any middleware
      if (action.type === _alias.ALIASED) {
        (0, _assert["default"])(action.meta && action.meta.trigger, 'No trigger defined');

        var alias = _alias2["default"].get(action.meta.trigger);

        (0, _assert["default"])(alias, "Trigger alias ".concat(action.meta.trigger, " not found"));
        var args = action.payload || []; // trigger alias

        action = alias.apply(void 0, _toConsumableArray(args));
      }

      return next(action);
    };
  };
};

var _default = triggerAlias;
exports["default"] = _default;